<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE node PUBLIC
  "-//freedesktop//DTD D-Bus Object Introspection 1.0//EN"
  "http://standards.freedesktop.org/dbus/1.0/introspect.dtd">

<node>
	<interface name='org.genivi.audiomanager.routing.soundmanager'>
	<method name='asyncAbort'>
		<arg name='handle' type='q' direction='in' />
		<arg name='error' type='n' direction='out' />
    	</method>
	<method name='asyncConnect'>
		<arg name='handle' type='q' direction='in' />
		<arg name='connectionID' type='q' direction='in' />
		<arg name='sourceID' type='q' direction='in' />
		<arg name='sinkID' type='q' direction='in' />
		<arg name='connectionFormat' type='i' direction='in' />
	</method>
	<method name='asyncDisconnect'>
		<arg name='handle' type='q' direction='in' />
		<arg name='connectionID' type='q' direction='in' />
	</method>
	<method name='asyncSetSinkVolume'>
		<arg name='handle' type='q' direction='in' />
		<arg name='sinkID' type='q' direction='in' />
		<arg name='volume' type='n' direction='in' />
		<arg name='ramp' type='n' direction='in' />
		<arg name='time' type='q' direction='in' />
	</method>
	<method name='asyncSetSourceState'>
		<arg name='handle' type='q' direction='in' />
		<arg name='sourceID' type='q' direction='in' />
		<arg name='sourceState' type='i' direction='in' />
	</method>
	</interface>
</node>
